=== debian/changelog ===
ros-melodic-nerian-stereo (3.8.0-1stretch) stretch; urgency=high

  * Updated to nerian software release version 8.1.0
  * Support for Support for 1 to 3 images in result set
  * Added new device configuration variables
  * Contributors: Konstantin Schauwecker, Ramin Yaghoubzadeh Torky

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Tue, 28 Jul 2020 22:00:00 -0000

ros-melodic-nerian-stereo (3.7.0-1stretch) stretch; urgency=high

  * Added new trigger configuration parameters
  * Updated to vision software release 7.2
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Thu, 20 Feb 2020 23:00:00 -0000

ros-melodic-nerian-stereo (3.6.0-1stretch) stretch; urgency=high

  * Updated Nerian software release to version 7.1.0
  * Correct pixel format for publication of RGB camera images
  * Fixed problem with LD_LIBRARY_PATH when running from catkin workspace
  * Contributors: Konstantin Schauwecker, Ramin Yaghoubzadeh Torky

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Wed, 04 Dec 2019 23:00:00 -0000

ros-melodic-nerian-stereo (3.5.0-1stretch) stretch; urgency=high

  * Updated to libvisiontransfer 7.0.0
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Wed, 14 Aug 2019 22:00:00 -0000

ros-melodic-nerian-stereo (3.4.0-1stretch) stretch; urgency=high

  * Updated to latest Nerian software release 6.5.0
  * New nodelet version of ROS module
  * Support for dynamic_reconfigure
  * Corrected marking of point clouds as not dense

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Tue, 18 Jun 2019 22:00:00 -0000

ros-melodic-nerian-stereo (3.3.2-1stretch) stretch; urgency=high

  * Fixed installation permissions
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Thu, 14 Feb 2019 23:00:00 -0000

ros-melodic-nerian-stereo (3.3.1-1stretch) stretch; urgency=high

  * Compile fix for older Ubuntu versions

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Thu, 07 Feb 2019 23:00:00 -0000

ros-melodic-nerian-stereo (3.3.0-1stretch) stretch; urgency=high

  * Updated to Nerian vision software release 6.4.0
  * Added functionality to use timestamps from SceneScan for timestamping transmitted messages.
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Sun, 03 Feb 2019 23:00:00 -0000

ros-melodic-nerian-stereo (3.2.1-1stretch) stretch; urgency=high

  * Updated Nerian vision software to version 6.2.1
  * Added curl dependency to package.xml
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Tue, 04 Dec 2018 23:00:00 -0000

ros-melodic-nerian-stereo (3.2.0-1stretch) stretch; urgency=high

  * Added support for colored point clouds
  * Automated detection of libvisiontransfer version
  * Updated nerian vision software to 6.2.0
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 26 Nov 2018 23:00:00 -0000

ros-melodic-nerian-stereo (3.1.1-1stretch) stretch; urgency=high

  * Fixed CMake build problem
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 12 Nov 2018 23:00:00 -0000

ros-melodic-nerian-stereo (3.1.0-1stretch) stretch; urgency=high

  * Removed arch=native flag from compiler options
  * Updated nerian vision software to 6.1.1
  * Added support for combined RGB color channel in pointcloud
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Fri, 09 Nov 2018 23:00:00 -0000

ros-melodic-nerian-stereo (3.0.2-1stretch) stretch; urgency=high

  * Fixed build errors

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 06 Aug 2018 22:00:00 -0000

ros-melodic-nerian-stereo (3.0.1-1stretch) stretch; urgency=high

  * Installing missing scripts for binary release
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Sun, 05 Aug 2018 22:00:00 -0000

ros-melodic-nerian-stereo (3.0.0-1stretch) stretch; urgency=high

  * Updated to Nerian software release 6.0.0
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Thu, 07 Jun 2018 22:00:00 -0000

ros-melodic-nerian-stereo (2.2.0-1stretch) stretch; urgency=high

  * Added support for RGB point cloud output
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Sat, 12 May 2018 22:00:00 -0000

ros-melodic-nerian-stereo (2.1.0-1stretch) stretch; urgency=high

  * New color coding scheme: rainbow
  * Automatic selection of color legend range
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Fri, 08 Dec 2017 23:00:00 -0000

ros-melodic-nerian-stereo (2.0.3-1stretch) stretch; urgency=high

  * Build fix for Ubuntu Zesty
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Thu, 19 Oct 2017 22:00:00 -0000

ros-melodic-nerian-stereo (2.0.2-1stretch) stretch; urgency=high

  * Updated to libvisiontransfer 5.0.1, which fixes synchronization bug
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Tue, 17 Oct 2017 22:00:00 -0000

ros-melodic-nerian-stereo (2.0.1-1stretch) stretch; urgency=high

  * Fixed support for 12-bit images
  * Fixed build problems

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Sun, 01 Oct 2017 22:00:00 -0000

ros-melodic-nerian-stereo (2.0.0-1stretch) stretch; urgency=high

  * Renamed node to nerian_stereo
  * Updated to libvisiontransfer 5.0.0 to support new SceneScan sensor
  * Contributors: Konstantin Schauwecker


